Versions Compared


  • This line was added.
  • This line was removed.
  • Formatting was changed.

First of all, JSF 2.0 support both JSP and facelets files. In theory you can change your JSF implementation version and keep using your old JSF 1.2 libraries. But it is usual that the same "JSF 2.0 library alternates" does not work as expected, because they could target only facelets as View Declaration Language (VDL). One known example is MyFaces Tomahawk that was written in that way to keep it closer to the spec.